# $Revision: 1.120 $, $Date: 2009/09/14 06:08:59 $
#
# Conditional build:
%bcond_with	gssapi	# with GSSAPI support
%bcond_without	ldap	# without LDAP auth
%bcond_without	mysql	# without MySQL auth
%bcond_without	pgsql	# without PostgreSQL auth
%bcond_without	sqlite	# without SQLite3 auth
%bcond_without	sasl	# without SASL auth
#
Summary:	IMAP and POP3 server written with security primarily in mind
Summary(pl.UTF-8):	Serwer IMAP i POP3 pisany głównie z myślą o bezpieczeństwie
Name:		dovecot
Version:	1.2.5
Release:	1
Epoch:		1
License:	MIT (libraries), LGPL v2.1 (the rest)
Group:		Networking/Daemons
Source0:	http://dovecot.org/releases/1.2/%{name}-%{version}.tar.gz
# Source0-md5:	8b057903d6a527dac964b51c5638c625
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-config.patch
URL:		http://dovecot.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
%{?with_sasl:BuildRequires:	cyrus-sasl-devel >= 2.0}
BuildRequires:	findutils
BuildRequires:	gettext-devel
%{?with_gssapi:BuildRequires:	heimdal-devel}
BuildRequires:	libcap-devel
BuildRequires:	libtool
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.3}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	sed >= 4.0
%{?with_sqlite:BuildRequires:	sqlite3-devel}
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	pam >= 0.79.0
Provides:	group(dovecot)
Provides:	imapdaemon
Provides:	user(dovecot)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems,
written with security primarily in mind. Although it's written with C,
it uses several coding techniques to avoid most of the common
pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly. It's also planned to support
storing mails in SQL databases.

Dovecot is easy to set up and doesn't require special maintenance.
Only thing you need is to get the authentication working properly - if
your users are in /etc/passwd there's hardly anything you have to do.

Dovecot should be pretty fast, mostly because of index files that
Dovecot maintains; instead of having to scan through all the data in
mailbox, Dovecot can get most of the wanted information from index
with little effort.

Status:
- should be quite ready for use with normal IMAP clients
- complete IMAP4rev1 and POP3 support
- supports THREAD, SORT and IDLE extensions, required by many IMAP
  webmails
- complete TLS/SSL support
- IPv6 ready
- shared mailboxes aren't yet supported
- Maildir++ quota is supported, bad hard filesystem quota can be
  problematic

%description -l pl.UTF-8
Dovecot to serwer IMAP i POP3 dla systemów linuksowych/uniksowych,
pisany głównie z myślą o bezpieczeństwie. Chociaż jest pisany w C,
używa kilku technik kodowania zapobiegających większości popularnych
pułapek.

Dovecot może działać ze standardowymi formatami mbox i maildir, jest
całkowicie kompatybilny z serwerami UW-IMAP i Courier IMAP, a także z
klientami pocztowymi bezpośrednio dostającymi się do skrzynek.
Planowana jest także obsługa przechowywania listów w bazach SQL.

Dovecot jest łatwy do skonfigurowania i nie wymaga specjalnego
nadzoru. Wystarczy tylko doprowadzić do działania uwierzytelnianie -
jeśli użytkownicy są w /etc/passwd, to właściwie nie trzeba nic
zmieniać.

Dovecot powinien być w miarę szybki, głównie z powodu plików
indeksowych utrzymywanych przez serwer; zamiast potrzeby skanowania
wszystkich danych w skrzynce, Dovecot może małym kosztem uzyskać
większość potrzebnych informacji z indeksu.

Stan:
- powinien być gotowy do użycia ze zwykłymi klientami IMAP
- pełna obsługa IMAP4rev1 i POP3
- obsługa rozszerzeń THREAD, SORT i IDLE, wymaganych przez wiele
  webmaili IMAP
- obsługa IPv6
- pełna obsługa TLS/SSL
- quota Maildir++ jest obsługiwana, ale twarda quota na systemach
  plików może być problematyczna

%package devel
Summary:	Development package for dovecot plugins
Summary(pl.UTF-8):	Pakiet programistyczny do tworzenia wtyczek dla dovecota
Group:		Development/Libraries
# doesn't require base

%description devel
Development package for dovecot plugins.

%description devel -l pl.UTF-8
Pakiet programistyczny do tworzenia wtyczek dla dovecota.

%prep
%setup -q
%patch0 -p1

%{__sed} -i 's,/usr/lib/dovecot,%{_libdir}/dovecot,g' dovecot-example.conf

%build
touch config.rpath
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	%{?debug:--enable-debug} \
	--enable-header-install \
	%{?with_ldap:--with-ldap=plugin} \
	%{?with_mysql:--with-mysql} \
	%{?with_pgsql:--with-pgsql} \
	%{?with_sqlite:--with-sqlite} \
	%{?with_gssapi:--with-gssapi=plugin} \
	--with-zlib \
	--with-bzlib \
	--with-libcap \
	--with-ssl=openssl \
	--with-ssldir=/var/lib/openssl \
	--sysconfdir=/etc/%{name}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d,sysconfig,security}
install -d $RPM_BUILD_ROOT{/var/lib/dovecot,/var/run/dovecot/login}

%{__make} install \
	moduledir=%{_libdir}/%{name}/plugins \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/{dovecot-example.conf,dovecot.conf}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

touch $RPM_BUILD_ROOT/etc/security/blacklist.imap

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins{,/auth,/imap}/*.la

# devel
for folder in deliver imap lib lib-imap lib-mail lib-storage; do
	install -d $RPM_BUILD_ROOT%{_includedir}/%{name}/$folder
	install -p -m644 src/$folder/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/$folder/
done
for dir in lib lib-auth lib-charset lib-imap lib-index lib-mail lib-storage; do
	for file in $(find src/$dir -name '*.a'); do
		install -D -m644 $file $RPM_BUILD_ROOT%{_libdir}/%{name}-devel/$file
	done
done
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/dovecot-config $RPM_BUILD_ROOT%{_libdir}/%{name}-devel

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 172 dovecot
%useradd -u 172 -d /usr/share/empty -s /bin/false -c "Dovecot server" -g dovecot dovecot

%post
/sbin/chkconfig --add dovecot
if [ -f /var/lock/subsys/dovecot ]; then
	/etc/rc.d/init.d/dovecot restart >&2
else
	echo "Run \"/etc/rc.d/init.d/dovecot start\" to start dovecot daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/dovecot ]; then
		/etc/rc.d/init.d/dovecot stop >&2
	fi
	/sbin/chkconfig --del dovecot
fi

%postun
if [ "$1" = "0" ]; then
	%userremove dovecot
	%groupremove dovecot
fi

%triggerpostun -- dovecot < 1:1.1
echo "Configuration change default_mail_env -> mail_location"
%{__sed} -i -e "s/^default_mail_env/mail_location/" /etc/dovecot/dovecot.conf

%files
%defattr(644,root,root,755)
# COPYING contains some notes, not actual LGPL text
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/*.txt doc/*.c*f doc/wiki/*.txt
%attr(755,root,root) %{_sbindir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}pw
%attr(750,root,root) %dir %{_sysconfdir}/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}-db-example.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}-dict-sql-example.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}-ldap-example.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}-sql-example.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.imap
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/checkpassword-reply
%attr(755,root,root) %{_libdir}/%{name}/deliver
%attr(755,root,root) %{_libdir}/%{name}/dict
%attr(755,root,root) %{_libdir}/%{name}/dovecot-auth
%attr(755,root,root) %{_libdir}/%{name}/gdbhelper
%attr(755,root,root) %{_libdir}/%{name}/idxview
%attr(755,root,root) %{_libdir}/%{name}/imap
%attr(755,root,root) %{_libdir}/%{name}/imap-login
%attr(755,root,root) %{_libdir}/%{name}/imap-utf7
%attr(755,root,root) %{_libdir}/%{name}/convert-tool
%attr(755,root,root) %{_libdir}/%{name}/expire-tool
%attr(755,root,root) %{_libdir}/%{name}/listview
%attr(755,root,root) %{_libdir}/%{name}/logview
%attr(755,root,root) %{_libdir}/%{name}/maildirlock
%attr(755,root,root) %{_libdir}/%{name}/pop3
%attr(755,root,root) %{_libdir}/%{name}/pop3-login
%attr(755,root,root) %{_libdir}/%{name}/rawlog
%attr(755,root,root) %{_libdir}/%{name}/ssl-build-param
%attr(755,root,root) %{_libdir}/%{name}/threadview
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%dir %{_libdir}/%{name}/plugins/auth
%attr(755,root,root)%{_libdir}/%{name}/plugins/auth/*.so
%dir %{_libdir}/%{name}/plugins/imap
%attr(755,root,root)%{_libdir}/%{name}/plugins/imap/*.so
%dir %{_libdir}/%{name}/plugins/lda
%attr(755,root,root) %{_libdir}/%{name}/plugins/lda/*.so
%dir %{_libdir}/%{name}/plugins/pop3
%attr(755,root,root) %{_libdir}/%{name}/plugins/pop3/*.so
%dir /var/lib/dovecot
%dir /var/run/dovecot
%attr(750,root,dovecot) %dir /var/run/dovecot/login

%files devel
%defattr(644,root,root,755)
%{_libdir}/%{name}-devel
%{_includedir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dovecot.spec,v $
Revision 1.120  2009/09/14 06:08:59  dzeus
- up to 1.2.5

Revision 1.119  2009/08/18 17:52:32  arekm
- up to 1.2.4

Revision 1.118  2009/08/08 20:32:07  arekm
- up to 1.2.3

Revision 1.117  2009/07/27 08:48:13  dzeus
- up to 1.2.2

Revision 1.116  2009/07/13 09:49:05  arekm
- rel 2; include more static libs needed by sieve

Revision 1.115  2009/07/10 03:46:29  aredridel
- 1.2.1

Revision 1.114  2009/07/03 07:41:14  arekm
- up to 1.2.0; 1.1 on DOVECOT_1_1 tag

Revision 1.113  2009/07/02 22:23:50  baggins
- rel 2
- switch to heimdal kerberos

Revision 1.112  2009/06/01 06:27:48  dzeus
- up to 1.1.16

Revision 1.111  2009/05/18 05:43:26  dzeus
- up to 1.1.15

Revision 1.110  2009/04/17 07:39:07  dzeus
- up to 1.1.14

Revision 1.109  2009/03/18 21:53:59  dzeus
- up to 1.1.13

Revision 1.108  2009/03/14 20:47:56  dzeus
- up to 1.1.12

Revision 1.107  2009/02/04 07:44:01  arekm
- up to 1.1.11

Revision 1.106  2009/01/27 19:37:40  arekm
- rel 2. Fix \* in permanentflags

Revision 1.105  2009/01/27 08:07:25  arekm
- up to 1.1.10

Revision 1.104  2009/01/24 09:13:59  arekm
- up to 1.1.9

Revision 1.103  2009/01/08 20:23:14  dzeus
- rel. 2

Revision 1.102  2009/01/08 09:23:50  duddits
- %files: dovecot-db-example.conf

Revision 1.101  2009/01/08 09:11:21  arekm
- up to 1.1.8

Revision 1.100  2008/11/24 06:28:33  arekm
- up to 1.1.7

Revision 1.99  2008/10/30 07:43:50  arekm
- up to 1.1.6

Revision 1.98  2008/10/29 07:17:38  charles
- updated to 1.1.5

Revision 1.97  2008/10/05 18:28:11  aredridel
- 1.1.4

Revision 1.96  2008/09/05 11:40:16  blues
- in some alpha/beta default_mail_env was removed - replace it with trigger

Revision 1.95  2008/09/02 20:31:51  arekm
- up to 1.1.3

Revision 1.94  2008/08/14 16:52:13  arekm
- rel 2; fix fd leak

Revision 1.93  2008/07/24 08:52:12  arekm
- up to 1.1.2

Revision 1.92  2008/06/22 19:10:11  arekm
- up to 1.1.1; one bugfix

Revision 1.91  2008/06/21 08:26:13  adamg
- typo

Revision 1.90  2008/06/21 08:14:07  adamg
- updated to 1.1.0 (+DEVEL merge)

Revision 1.89  2008/06/03 06:51:13  arekm
- up to 1.0.14

Revision 1.88  2008-03-09 21:18:56  arekm
- up to 1.0.13 (security fix)

Revision 1.87  2008-03-05 20:42:05  arekm
- up to 1.0.12

Revision 1.86  2008-03-04 07:29:55  arekm
- up to 1.0.11

Revision 1.85  2008-02-20 17:45:13  glen
- epoch 1 for rpm 4.4.9 vercpm change; rel 5

Revision 1.84  2008-01-11 22:35:39  qboosh
- aah... move dovecot-config instead of symlinking
- release 3

Revision 1.83  2008-01-11 21:53:05  qboosh
- cleanup (non-existing patch)

Revision 1.82  2008-01-11 21:51:03  qboosh
- restored krb5 BR

Revision 1.81  2008-01-11 21:48:20  qboosh
- updated init script (force-reload=reload, added running check to reload, added try-restart)
- release 2

Revision 1.80  2008-01-11 21:47:05  qboosh
- -devel no longer requires daemon

Revision 1.79  2008-01-11 21:46:35  qboosh
- use --enable-header-install to install headers
- install libs to dirs separate from plugins tree (%{_libdir}/dovecot-devel)

Revision 1.78  2008-01-11 21:21:05  qboosh
- initial -devel cleanup
- pl for -devel

Revision 1.77  2008-01-02 21:49:56  arekm
- up to 1.0.10

Revision 1.76  2007-12-12 17:32:19  arekm
- up to 1.0.9

Revision 1.75  2007-11-28 20:11:45  skibi
- 1.0.8 Update

Revision 1.74  2007-11-18 18:22:30  arekm
- rel 2

Revision 1.73  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.72  2007/10/29 21:39:12  arekm
- up to 1.0.7

Revision 1.71  2007/10/28 16:40:03  arekm
- up to 1.0.6

Revision 1.70  2007/09/17 12:35:39  glen
- unify

Revision 1.69  2007/09/17 08:23:21  arvenil
- release 2

Revision 1.68  2007/09/16 16:55:39  arvenil
- adapter (but not all)

Revision 1.67  2007/09/16 16:45:41  arvenil
- added missing dirs

Revision 1.66  2007/09/09 21:54:29  arekm
- up to 1.0.5

Revision 1.65  2007/09/01 17:59:56  skibi
- rel. 2

Revision 1.64  2007/09/01 17:02:00  skibi
- add devel

Revision 1.63  2007/08/05 16:04:58  arekm
- fix url

Revision 1.62  2007/08/05 15:58:16  arekm
- up to 1.0.3; nonexistent patch (dspam) commented out

Revision 1.61  2007/07/16 06:15:37  qboosh
- cleanup

Revision 1.60  2007/07/16 00:28:11  aredridel
- 1.0.2

Revision 1.59  2007/06/28 07:45:19  arekm
- fixes from upstream; rel 2

Revision 1.58  2007/06/15 20:26:54  arekm
- up to 1.0.1

Revision 1.57  2007/05/27 14:24:27  arekm
- rel 3

Revision 1.56  2007/04/29 14:04:09  arekm
- fix wiki docs

Revision 1.55  2007/04/29 12:23:52  arekm
- rel 2; fix doc

Revision 1.54  2007/04/15 08:36:48  qboosh
- cosmetic

Revision 1.53  2007/04/15 08:36:32  qboosh
- merged update to 1.0.0 from AC-branch

Revision 1.52  2007/03/31 21:30:14  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.51  2007/03/25 22:01:46  arekm
- up to rc28

Revision 1.50  2007/03/21 14:06:46  arekm
- up to 1.0rc27

Revision 1.49  2007/02/23 02:57:54  charles
- updated to 1.0.rc24

Revision 1.48  2007/02/21 23:47:04  charles
- updated to 1.0.rc23

Revision 1.47  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.45  2007/02/06 18:30:18  aredridel
- 1.0rc22
- disable pop3_undeleted patch for now (incomplete)

Revision 1.44  2007/02/05 01:29:42  charles
- updated -config.patch (qboosh's suggestion)
- updated descriptions

Revision 1.43  2007/02/03 02:22:53  charles
- updated to 1.0.rc21
- updated -config.patch; fixed paths; use %{_libdir} instead of /usr/libexec

Revision 1.42  2007/02/01 06:36:28  aredridel
- 1.0.rc19

Revision 1.41  2007/01/31 23:41:48  aredridel
- add pop3-undeleted patch

Revision 1.40  2006/12/21 07:55:58  hawk
- workaround automake 1.10 problem, see
  http://dovecot.org/list/dovecot/2006-December/018017.html
- release 2

Revision 1.39  2006/11/25 12:18:53  qboosh
- added CVE reference

Revision 1.38  2006/11/25 11:24:54  charles
- updated to 1.0.rc15 [fixes CVE-2006-5973]

Revision 1.37  2006/11/12 05:19:44  charles
- updated to 1.0.rc13; cleanups

Revision 1.36  2006/10/21 00:06:37  charles
- rc10

Revision 1.35  2006/08/26 17:45:18  charles
- updated to 1.0.rc7
- disabled -unbreak-nss_ldap.patch (unavailable)

Revision 1.34  2006/07/25 00:25:04  aredridel
- 1.0.rc2

Revision 1.33  2006/06/29 10:29:45  arekm
- use %Mf

Revision 1.32  2006/06/28 21:25:45  arekm
- add tpop3d uidl support

Revision 1.31  2006/06/28 20:49:50  charles
- updated License

Revision 1.30  2006/06/28 20:25:57  arekm
- don't force dnotify; let configure choose best one; config moved to /etc/dovecot/dovecot.conf so we can put additional dovecot configs there

Revision 1.29  2006/06/28 20:17:52  charles
- enabled GSSAPI authentication support; updated -gssapi.patch; BR: heimdal-devel
- added /var/lib/dovecot (permanent data directory)

Revision 1.28  2006/06/28 19:21:24  arekm
- up to 1.0rc1

Revision 1.27  2006/06/18 11:12:46  charles
- cosmetics

Revision 1.26  2006/06/18 10:51:04  charles
- added user:group dovecot

Revision 1.25  2006/06/18 06:54:55  charles
- updated to 1.0.beta9
- fixed /var/run/dovecot{/login} perms; before:
  dovecot: Warning: Fixing permissions of /var/run/dovecot to be world-readable
  dovecot: Warning: Corrected permissions for login directory /var/run/dovecot/login

Revision 1.24  2006/05/24 18:52:55  charles
- updated to beta8

Revision 1.23  2006/04/02 00:48:21  baseciq
- up to beta3

Revision 1.22  2006/01/28 14:28:57  charles
- updated to 1.0.beta2
- added SQLite3 support
- added /var/run/dovecot* dirs

Revision 1.21  2006/01/18 06:50:54  aredridel
- up to beta1

Revision 1.20  2006/01/17 15:13:06  baggins
- release 2
- BR openldap 2.3

Revision 1.19  2005/12/27 09:22:19  aredridel
- up to 1.0.alpha5 (recommended stable version)

Revision 1.18  2005/10/27 17:39:26  arekm
- rel 2

Revision 1.17  2005/06/02 18:00:33  undefine
- up to 0.99.14

Revision 1.16  2005/05/12 13:12:11  baggins
- release 2
- req pam 0.79

Revision 1.15  2005/03/11 14:01:46  spider
- adaptarized

Revision 1.14  2005/01/14 20:14:41  qboosh
- added mysql auth (based on patch from Marcin "MySZ" Sztolcman)
- new-style bconds

Revision 1.13  2004/12/09 11:30:00  paladine
- spaces->tabs
- cosmetics

Revision 1.12  2004/11/29 02:07:13  zbyniu
- updated to 0.99.11
- BR: gettext-devel, pkgconfig

Revision 1.11  2004/08/19 11:35:45  misi3k
- updated to 0.99.10.9

Revision 1.10  2004/07/14 16:18:45  aredridel
- up to 0.99.10.7

Revision 1.9  2004/06/24 16:49:49  aredridel
- up to 99.10.6

Revision 1.8  2004/04/21 19:06:45  aredridel
- rel 3 for rebuild with new openldap

Revision 1.7  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.6  2003/09/26 14:22:46  baggins
- release 2

Revision 1.5  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.4  2003/07/08 13:17:12  orzech
- release 1: seems finished, works

Revision 1.3  2003/07/08 11:21:14  qboosh
- more auth mechanisms+bconds

Revision 1.2  2003/07/07 21:00:35  qboosh
- pl, BR: ac,am,lt

Revision 1.1  2003/07/07 15:20:24  qboosh
- initial, NFY
